Get Presentation by ID
curl --request GET \
--url https://api.trugen.ai/v1/ext/presentation/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trugen.ai/v1/ext/presentation/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trugen.ai/v1/ext/presentation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trugen.ai/v1/ext/presentation/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trugen.ai/v1/ext/presentation/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trugen.ai/v1/ext/presentation/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trugen.ai/v1/ext/presentation/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "b3a3bc93-6b37-496e-989d-cf793792f428",
"name": "Q3 Sales Deck",
"status": "pending",
"created_at": "2026-09-04T12:36:51.773302Z",
"updated_at": "2026-09-04T12:36:51.773302Z",
"resources": [
{
"id": "65459261-d946-4889-9528-610e0770162d",
"name": "R Parthieshwar Resume.pdf",
"description": "Quarterly sales presentation for 2025",
"page_count": 2,
"preview_url": "<string>",
"status": "processing",
"created_at": "2026-09-04T12:36:51.773302Z",
"updated_at": "2026-09-04T12:37:02.030418Z"
}
]
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"message": "Presentation not found"
}{
"error": "Failed to retrieve presentation"
}Visual Presentations
Get Presentation
Fetch a single presentation deck by its unique ID. Returns metadata, processing status, and resource preview links.
GET
/
ext
/
presentation
/
{id}
Get Presentation by ID
curl --request GET \
--url https://api.trugen.ai/v1/ext/presentation/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.trugen.ai/v1/ext/presentation/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.trugen.ai/v1/ext/presentation/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.trugen.ai/v1/ext/presentation/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.trugen.ai/v1/ext/presentation/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.trugen.ai/v1/ext/presentation/{id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.trugen.ai/v1/ext/presentation/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "b3a3bc93-6b37-496e-989d-cf793792f428",
"name": "Q3 Sales Deck",
"status": "pending",
"created_at": "2026-09-04T12:36:51.773302Z",
"updated_at": "2026-09-04T12:36:51.773302Z",
"resources": [
{
"id": "65459261-d946-4889-9528-610e0770162d",
"name": "R Parthieshwar Resume.pdf",
"description": "Quarterly sales presentation for 2025",
"page_count": 2,
"preview_url": "<string>",
"status": "processing",
"created_at": "2026-09-04T12:36:51.773302Z",
"updated_at": "2026-09-04T12:37:02.030418Z"
}
]
}{
"error": "Unauthorized: not a valid authorization api key"
}{
"message": "Presentation not found"
}{
"error": "Failed to retrieve presentation"
}Fetch a single presentation deck by its unique ID. Returns metadata, processing status, and resource preview links.
Response:
Parameters
id(path, required): unique identifier of the presentation deck
Example
curl --request GET \
--url https://api.trugen.ai/v1/ext/presentation/b3a3bc93-6b37-496e-989d-cf793792f428 \
--header 'x-api-key: YOUR_API_KEY'
{
"created_at": "2026-09-04T12:36:51.773302Z",
"id": "b3a3bc93-6b37-496e-989d-cf793792f428",
"name": "Q3 Sales Deck",
"resources": [
{
"created_at": "2026-09-04T12:36:51.773302Z",
"description": "Quarterly sales presentation for 2025",
"id": "65459261-d946-4889-9528-610e0770162d",
"name": "R Parthieshwar Resume.pdf",
"page_count": 2,
"preview_url": "https://trugen-agents-presentations-docs.s3.us-east-2.amazonaws.com/qaapp.trugen.ai/uploads/input/b3a3bc93-6b37-496e-989d-cf793792f428/65459261-d946-4889-9528-610e0770162d/R%20Parthieshwar%20Resume.pdf?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Checksum-Mode=ENABLED&X-Amz-Credential=AKIAY2F3GNLRMROY7MOZ%2F20260904%2Fus-east-2%2Fs3%2Faws4_request&X-Amz-Date=20260904T123707Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&response-content-disposition=inline&response-content-type=application%2Fpdf&x-id=GetObject&X-Amz-Signature=e5fa6e304478c9803aa573bfd29aa1c57cff762438c34754352db57648f85e24",
"status": "processing",
"updated_at": "2026-09-04T12:37:02.030418Z"
}
],
"status": "pending",
"updated_at": "2026-09-04T12:36:51.773302Z"
}
Authorizations
Path Parameters
Unique identifier of the presentation deck
Example:
"b3a3bc93-6b37-496e-989d-cf793792f428"
Response
Presentation details retrieved successfully
Was this page helpful?